diff --git a/hist/histpainter/src/THistPainter.cxx b/hist/histpainter/src/THistPainter.cxx
index f214dfb..1a3ea1e 100644
--- a/hist/histpainter/src/THistPainter.cxx
+++ b/hist/histpainter/src/THistPainter.cxx
@@ -3443,6 +3443,7 @@ Int_t THistPainter::MakeChopt(Option_t *choptin)
       if (l[4] == '1') { Hoption.Lego = 11; l[4] = ' '; }
       if (l[4] == '2') { Hoption.Lego = 12; l[4] = ' '; }
       if (l[4] == '3') { Hoption.Lego = 13; l[4] = ' '; }
+      if (l[4] == '4') { Hoption.Lego = 14; l[4] = ' '; }
       l = strstr(chopt,"FB"); if (l) { Hoption.FrontBox = 0; strncpy(l,"  ",2); }
       l = strstr(chopt,"BB"); if (l) { Hoption.BackBox = 0;  strncpy(l,"  ",2); }
       l = strstr(chopt,"0");  if (l) { Hoption.Zero = 1;  strncpy(l," ",1); }
@@ -6448,12 +6449,19 @@ void THistPainter::PaintLego(Option_t *)
    }
 
    fLego = new TPainter3dAlgorithms(fXbuf, fYbuf, Hoption.System);
+
+   Color_t colordark = 1;
    
    // LEGO3 is like LEGO1 except that the black lines around each lego are not drawn.
    if (Hoption.Lego == 13) {
       Hoption.Lego = 11;
       fLego->SetMesh(0);
    }
+   // LEGO4 is like LEGO1 except no shadows are drawn.
+   if (Hoption.Lego == 14) {
+      Hoption.Lego = 11;
+      colordark = 1;
+   }
 
    //          Create axis object
 
@@ -6481,7 +6489,8 @@ void THistPainter::PaintLego(Option_t *)
          if (id > 0 && fStack) hid = (TH1*)fStack->At(id-1);
          Color_t colormain = hid->GetFillColor();
          if (colormain == 1) colormain = 17; //avoid drawing with black
-         Color_t colordark = TColor::GetColorDark(colormain);
+         if (colordark == -999) colordark = colormain ;
+         else                   colordark = TColor::GetColorDark(colormain); 
          fLego->SetColorMain(colormain,id);
          fLego->SetColorDark(colordark,id);
          if (id == 0)    fLego->SetColorMain(colormain,-1);  // Set Bottom color
